Bug 52601 - CTRL + F for the new Find feature
CTRL + F for the new Find feature
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.6
PC All
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-02-04 11:20 UTC by shmulikk
Modified: 2012-08-22 21:36 UTC (History)
2 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shmulikk 2012-02-04 11:20:13 UTC
Now with the new toolbar allows Find feature, maybe it will be good idea to have CTRL+F open it, instead of the Functions window?
Comment 1 Philippe Mouawad 2012-02-04 11:29:35 UTC

*** This bug has been marked as a duplicate of bug 52502 ***
Comment 2 shmulikk 2012-05-20 06:07:56 UTC
As bug 52502 was cancled, I think that there is an agreement on CTRL+F to open the search dialog.
Comment 3 Philippe Mouawad 2012-07-08 20:33:53 UTC
Shall we fix this one ?
I personnaly vote for changing CTRL+F to find feature, breaking previous shortcut.
CTRL+F (CMD+F for mac) is kind of standard but if we don't agree, then let's close it.
Comment 4 shmulikk 2012-07-09 08:47:14 UTC
I think this is accepted by the community as a needed change.
I can send out a question about it again, as I cannot find any relevant thread on this...

The only open question is what will be the new shortcut for the Function Helper? :)
Comment 5 Philippe Mouawad 2012-07-11 19:46:46 UTC
Hello,
Go ahead ask a question and include question shortcut for Function Helper.

Regards
Philippe
Comment 6 shmulikk 2012-07-24 22:22:01 UTC
Got only one response from Flavio (flaviocysne@gmail.com):
CTRL + W, thinking of something like Function Wizard
or
CTRL + F1, CTRL as function key and F1 from Help :)


I think F1 is standard for help so CTRL + F1 help for fucntions is a nice idea.
It might be good enough also to remove the shortcut for the Function Helper, as I don't think it is very popular.

Anyway - I really support CTRL+F for search, I care less for the Function Helper.
Comment 7 Anand Panimaya 2012-08-03 05:17:13 UTC
I believe the CTRL+F1 option for Function Helper is a great idea. 
I second shmulikk's opinion that implementing CTRL+F for find would add more value for the community.
Comment 8 Philippe Mouawad 2012-08-22 21:36:03 UTC
Author: pmouawad
Date: Wed Aug 22 21:34:53 2012
New Revision: 1376266

URL: http://svn.apache.org/viewvc?rev=1376266&view=rev
Log:
Bug 52601 - CTRL + F for the new Find feature
CTRL + F1 help for functions
CTRL + F for search dialog
Bugzilla Id: 52601

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/KeyStrokes.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterMenuBar.java
    jmeter/trunk/xdocs/changes.xml